#ifndef TWN_GAME_OBJECT_C_H
#define TWN_GAME_OBJECT_C_H

#include <stdbool.h>

/*
 * game object provides an interface for bridging between game code and engine.
 * for example, it might implement dynamic load libraries with hot reloading.
 */


void game_object_load(void);

/* note: it should be only called when application is closing */
void game_object_unload(void);

void game_object_tick(void);

#endif
